Subject: Using FFI?

From: Raymond Toy <[email-masked]>
Date: Tue, 11 Apr 1995 08:51:35 -0400

I compiled clisp 1995-04-04 with the one patch applied.  It configured
fine, and I ran makemake --with-dynamic-modules --with-dynamic-ffi.
Then ran "make" and "make modular".  Everything was fine.

I tried the example 4 in doc/foreign.txt to try out FFI.  Everything
works fine until I try to actually use the foreign function:

base+cfun/lisp.run -M base+cfun/lispinit.mem -i callcfun

says 

*** - FFI::LOOKUP-FOREIGN-FUNCTION: A foreign function "cfun" does not
      exist.

Can anyone help me with this?

Oh, this is on a sparc running sunos 4.1.3_U1, using gcc 2.6.3.

Thanks,

Ray